import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { Task, TaskWorkflow } from '../models';
import { TaskRepository, TaskWorkFlowRepository, UserTaskRepository } from '../repositories';
export declare class TaskController {
    private readonly taskRepo;
    private readonly userTaskRepository;
    private readonly taskWorkflowMapping;
    constructor(taskRepo: TaskRepository, userTaskRepository: UserTaskRepository, taskWorkflowMapping: TaskWorkFlowRepository);
    find(filter?: Filter<Task>): Promise<Task<import("..").TaskStatus>[]>;
    findById(id: string, filter?: FilterExcludingWhere<Task>): Promise<Task>;
    count(where?: Where<Task>): Promise<Count>;
    mapTaskToWorkflow(taskWorkflowMapping: Omit<TaskWorkflow, 'id'>): Promise<void>;
    deleteById(id: string, cascade?: boolean): Promise<void>;
    delete(where?: Where<Task>, cascade?: boolean): Promise<void>;
}
