"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtilityService = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const crypto_1 = require("crypto");
const uuid_1 = require("uuid");
let UtilityService = class UtilityService {
    generateApiKeyAndSecret(clientApp) {
        const apiKey = `${clientApp.clientName}-${(0, uuid_1.v4)()}`;
        // generate a secret key using client app and random uuid
        const base = `${clientApp.clientName}-${(0, uuid_1.v4)()}`;
        const apiSecret = (0, crypto_1.createHmac)('sha256', base).digest('hex');
        return { apiKey, apiSecret };
    }
};
exports.UtilityService = UtilityService;
exports.UtilityService = UtilityService = tslib_1.__decorate([
    (0, context_1.injectable)({ scope: context_1.BindingScope.TRANSIENT })
], UtilityService);
//# sourceMappingURL=utility.service.js.map