import { AnyObject } from '@loopback/repository';
import { TaskService as CamundaTaskService, Task } from 'camunda-external-task-client-js';
import { IEvent } from './interfaces';
export declare const AuthDbSourceName = "AuthDB";
export declare const AuthCacheSourceName = "AuthCache";
export interface Message {
    message: string;
    key: string;
    payload?: AnyObject;
    eventKey: string;
    taskKey: string;
}
export type ProccessorFunction = (task: AnyObject, taskService: AnyObject, payload: AnyObject) => {
    payload: AnyObject;
    vars: AnyObject | null;
};
export declare enum Source {
    TaskService = "task-service",
    Kafka = "kafka"
}
export type HttpOptions = {
    query?: AnyObject;
    urlParams?: AnyObject;
    headers?: AnyObject;
};
export declare enum EventType {
    UserTaskCompleted = "user-task-completed",
    TaskCreated = "task-created",
    TaskCompleted = "task-completed"
}
export declare enum TaskStatus {
    Pending = "pending",
    InProgress = "in progress",
    Completed = "completed"
}
export declare enum UserTaskStatus {
    Pending = "pending",
    Completed = "completed"
}
export declare enum TaskPriority {
    Low = "low",
    Medium = "medium",
    High = "high"
}
export declare enum TaskSeverity {
    High = "high",
    Medium = "medium",
    Low = "low"
}
export interface CamundaTask {
    id: string;
    name: string;
    created: string;
    description: string;
    processDefinitionId: string;
    processInstanceId: string;
}
export declare const TaskDbSourceName = "taskdb";
export declare const WorkflowServiceSourceName = "WorkflowCache";
export declare const ExportedWorkflowServiceBindingConfig: import("@loopback/context").BindingKey<import("@sourceloop/bpmn-service").IWorkflowServiceConfig | null>;
export type EventFilter = (event: IEvent) => boolean;
export type CamundaTaskParameters = {
    task: Task;
    taskService: CamundaTaskService;
};
export type TaskServiceConfig = {
    useCustomSequence: boolean;
};
export type User = {
    username: string;
    userTenantId: string;
};
